//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace eCommerce.Services.Model
{
    using System;
    using System.Collections.Generic;
    
    public partial class DeliveryOrderDetail
    {
        public int DeliveryOrderDetailId { get; set; }
        public int DeliveryOrderId { get; set; }
        public int ProductId { get; set; }
        public int Quantity { get; set; }
        public int DepositId { get; set; }
        public Nullable<int> OrderDetailId { get; set; }
        public Nullable<int> StockMovementId { get; set; }
        public Nullable<decimal> Amount { get; set; }
        public Nullable<int> RefundDetailId { get; set; }
        public Nullable<int> ExchangeDetailId { get; set; }
    
        public virtual DeliveryOrder DeliveryOrder { get; set; }
        public virtual Deposit Deposit { get; set; }
        public virtual ExchangeDetail ExchangeDetail { get; set; }
        public virtual OrderDetail OrderDetail { get; set; }
        public virtual Product Product { get; set; }
        public virtual RefundDetail RefundDetail { get; set; }
        public virtual StockMovement StockMovement { get; set; }
    }
}
